Get file access information – Media API – MediaKind
Get file access information
post https://app.mk.io/api/v1/projects/:project_name/media/assets/:asset_name/getFileAccessInfo
This endpoint returns the information needed to access files within your asset.
The storage account containing the asset must be configured with a valid SAS token.
The response includes
storageAccountName: the storage account name,containerName: the name of the container within the storage account,jwt: a token to be passed along with your request,url: the URL to access the container.subpath: the subpath to the location of the asset within the container.
Please see our online documentation for examples of how to use these.
RBAC Capability Required: ams.asset.create or ams.asset.update
Authentication
Authorization Bearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
project_namestringRequiredasset_namestringRequired
Response
200 Access Information
containerNamestringRequired: The name of the container within the storage account.jwtstringRequired: A JWT token to authenticate the request.storageAccountNamestringRequired: The name of the storage account.subPathstringOptional 0-256 characters: Optional subpath for instances where your asset is not in the root of the container.urlstringRequired: The URL to use to access the container.
Errors
400 Bad Request
errorobject [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail)RequiredcodestringRequired: The error code.detailstringRequired: The error message.extraDetailmap from strings to anyOptional: Extra information regarding this error.refstringRequired: A reference to the request that caused the error.statusintegerRequired: The HTTP status code
401 Unauthorized
(Details similar to 400)
403 Forbidden
(Details similar to 400)
404 Not Found
(Details similar to 400)
429 Too Many Requests
(Details similar to 400)
500 Internal Server Error
(Details similar to 400)